Skip to content
Proud to collaborate with Microsoft for Startups

docusign.folders.get-search-folder-contents ​

<ds-inlinemessage kind="warning" markdown="1"> <strong>This method is deprecated in API v2.1</strong> Use Envelopes: listStatusChanges instead. </ds-inlinemessage> Retrieves a list of items that match the criteria specified in the query. If the user ID of the user making the call is the same as the user ID for any returned recipient, then the userId property is added to the returned information for those recipients.

Deprecated. Use Envelopes: listStatusChanges.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
searchfolderidstringYes—Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature.
allstringNo—Specifies that all envelopes that match the criteria are returned.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100
from_datestringNo—Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days.
include_recipientsstringNo—When true, the recipient information is returned in the response.
orderstringNo—Specifies the order in which the list is returned. Valid values are: asc for ascending order, and desc for descending order.
order_bystringNo—Specifies the property used to sort the list. Valid values are: action_required, created, completed, sent, signer_list, status, or subject.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
to_datestringNo—Specifies the end of the date range to return.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
searchfolderidstringYes—Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature.
allstringNo—Specifies that all envelopes that match the criteria are returned.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100
from_datestringNo—Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days.
include_recipientsstringNo—When true, the recipient information is returned in the response.
orderstringNo—Specifies the order in which the list is returned. Valid values are: asc for ascending order, and desc for descending order.
order_bystringNo—Specifies the property used to sort the list. Valid values are: action_required, created, completed, sent, signer_list, status, or subject.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
to_datestringNo—Specifies the end of the date range to return.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/search_folders/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/search_folders/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.folders.get-search-folder-contents",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "searchfolderid": "value"
  }
}